export type TokenBody = {
    value?: string;
    type?: string;
    name?: string;
    inside?: string;
    fields?: string[];
    all?: string;
};
export declare class Compiler {
    pack(code: string, dots?: boolean, trim?: boolean): TokenBody[];
    restructToken(input: string): TokenBody;
    remap(code: string, dots?: boolean, trim?: boolean): TokenBody[];
}
