const { API } = require('./lib/main.js')

const api = new API({
    dots: false,
    reverse: false
})

api.functions.inject('createCanvas', 'testCanvas', {
    run: async (d, message) => {
        console.log(d.function.name, message)
    }
})

api.route({
    url: '/hello',
    method: 'get',
    code: `
        $createCanvas[
            $setDimentions[1024;1024]
            $testCanvas[¡HOLA PERRO!]
        ]
        $testCanvas[¡ADIOS PERRO!]
        $reply[
            $setCode[200]
            $setType[json]
            $setBody[{ "hello": "true" }]
        ]
    `
})

api.connect({
    port: 4000
})