import { Data } from "../main.js";
interface ParseOptions {
    reverse?: boolean;
    comments?: boolean;
    dots?: boolean;
    data: Data;
    debug?: boolean;
}
export declare class Interpreter {
    /**
     * Parses easy-api.ts code.
     * @param code Code to parse.
     * @param options Parse extra options.
     */
    parse(code: string, options: ParseOptions): Promise<Data>;
}
export {};
